@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

.bottom-fix {
    display: flex !important;
    flex-direction: column !important;
    justify-content: flex-end !important;
}

.bottom-fix .wp-block-cover__inner-container {
    margin-top: auto !important;
    margin-bottom: 0 !important;
    width: 100%;
}

.loop-slider {
    display: flex;
    overflow: hidden;
    gap: 0rem; /* 画像間の余白を指定 */
}

.loop-slider .wp-block-group__inner-container,
.loop-slider .swell-block-columns {
    display: contents;
}

.loop-slider .swell-block-columns__inner {
    flex-wrap: nowrap;
    animation: infinity-scroll-left 10s infinite linear; /* アニメーションの時間を指定 */
}

.loop-slider .swell-block-column figure {
    width: 500px; /* 画像の横幅を指定（パソコン） */
    position: relative;
}

.loop-slider .swell-block-column figure::before {
    padding-top: 65%; /* 画像の縦横比を指定 */
    display: block;
    content: "";
}

.loop-slider .swell-block-column figure img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center;
}

@media screen and (max-width: 959px) {
    .loop-slider .swell-block-column figure {
        width: 200px; /* 画像の横幅を指定（スマホ） */
    }
}

@keyframes infinity-scroll-left {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

@media (min-width: 600px) {
  .l-content {
    padding-top: 0em;
  }
}

.archive .p-postList.-type-text .p-postList__item {
    border-bottom: 1px solid #eeeeee;
    padding: 0;
}

.archive .p-postList.-type-text .p-postList__link {
    display: flex;
    flex-direction: column;
    padding: 30px 0 !important;
    text-decoration: none !important;
}

.archive .p-postList.-type-text .c-postList__date {
    color: #999999;
    font-size: 14px;
    margin-bottom: 10px;
}

.archive .p-postList.-type-text .c-postList__title {
    font-size: 18px;
    font-weight: normal;
    color: #333333;
}

.archive .p-postList.-type-text .p-postList__link:hover {
    opacity: 0.7;
    transition: 0.3s;
}

#sidebar .wp-block-heading {
    font-size: 16px !important;
    font-weight: bold;
    letter-spacing: 1px;
    border-bottom: 2px solid #63ce65;
    padding-bottom: 10px;
    margin-bottom: 20px;
}

#sidebar .wp-block-archives {
    list-style: none;
    padding-left: 0;
}

#sidebar .wp-block-archives li {
    border-bottom: 1px solid #eeeeee;
    padding: 15px 0;
    font-size: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#sidebar .wp-block-archives li a {
    color: #333;
    text-decoration: none;
}

#sidebar .wp-block-archives li::after {
    content: "";
    width: 6px;
    height: 6px;
    border-top: 1px solid #999;
    border-right: 1px solid #999;
    transform: rotate(45deg);
}

#sidebar .widget ul li,
#sidebar .wp-block-archives li {
    border-bottom: none !important;
}

#sidebar .widget,
#sidebar .wp-block-archives {
    font-size: 5px !important;
}
#sidebar .widget ul li,
#sidebar .wp-block-archives li {
    padding: 8px 0 !important;
}
#sidebar .wp-block-heading,
#sidebar .widget-title {
    font-size: 16px !important;
    margin-bottom: 0px !important;
}

/* Contact Form7スマホ・タブレット用カスタマイズ */
@media(max-width:850px){
/* テーブルの見出しとフォーム */
table.inquiry th,table.inquiry td {
   display:block;
   padding:1em 0!important;
   width:100%;
   border:0;
}

/* 送信ボタン */
input.wpcf7-submit{
   margin-bottom:30px;
   width:100%;
}
}

/* 日付タグ上のテキストをPCとスマホで変更 */
@media(max-width:900px){
.pcdate{
   display: none;
}
}
@media(min-width:1000px){
.spdate{
   display: none;
}
/* 日付タグの幅を調整 */
.wpcf7-date.dateform{
   width: 25%;
}
}

/* Contact Form7全体カスタマイズ */

/* 自動入力されるPタグを無効にする */
.inquiry p {
   display: inline;
}

/*テーブル下に余白.枠線・テキストの行間 */
table.inquiry {
   margin-bottom: 30px;
   border:solid 1px #d7d7d7;
   line-height:1.2;
   vertical-align:middle;
}

/* テーブルの行 */
.inquiry tr {
   border:0!important;
}

/* テーブルの見出し側 */
.inquiry th{
   text-align:left;
   font-size:14px;
   color:#444;
   padding:1em 0.5em;
   width:0;
   background:#efefef;
   border:solid 1px #d7d7d7;
   white-space: nowrap;
   vertical-align: middle;
}

/* 必須と任意タグ */
.haveto,.any{
   font-size:13px;
   padding:5px;
   background:#ff9393;
   color:#fff;
   border-radius:2px;
   margin-right:5px;
   font-weight:normal;
}

/* 任意タグの背景カラー */
.any{
   background:#93c9ff;
}

/* テーブルフォーム側 */
.inquiry td{
   font-size:13px;
   border:solid 1px #d7d7d7;	
}

/* 入力エリア幅最大 */
.wpcf7-form-control {
   width: 100%;
}

/* フォーム入力欄の余白・背景カラー・枠線消す指定 */
.inquiry input,.inquiry select,.inquiry textarea {
   margin: 5px 0;
   background:#eff1f5;
   border: none;
   padding:0.7em;
}
.inquiry textarea {
   padding-bottom:10em;
}

/* チェックボックスとラジオボタンの位置調整 */
.wpcf7-list-item-label,.wpcf7-checkbox,input[type=checkbox],input[type=radio]{
   vertical-align:middle;
}
.wpcf7-list-item-label{
   padding:0 5px 0 2px;
}
/*ラジオボタンを縦並び指定*/
.verticallist{
   display:inline-grid;
}

/* 送信ボタンのデザイン */
.wpcf7-submit{
   display: block;
   margin:10px auto;
   padding:1em 0;
   width:80%;
   background:#09b555;
   color:#fff;
   font-size:18px;
   font-weight:bold;	 
   border-radius:4px;
   border: none;
}

/* 送信ボタンマウスホバー時 */
.wpcf7-submit:hover{
   opacity: 0.9;
   transition: 0.3s;
}

/* フォーム上部に表示されるエラーメッセージを非表示 */
.screen-reader-response {
    display: none;
}

/* フォーム内エラーメッセージを赤色に指定 */
.wpcf7-not-valid-tip {
    color: #e92323;
}

/* ヘッダー100% */
.l-header__barInner,.l-header__inner.l-container,.l-fixHeader__inner.l-container{
    max-width: 100%;
}

/* カテゴリーヘッダー１非表示 */
.c-pageTitle[data-style="b_bottom"] {
  border-bottom: 1px solid var(--color_border);
  display: none;
}
